# $Revision: 1.67 $, $Date: 2011/02/11 17:00:45 $
#
# Conditional build:
%bcond_without	doc	# do not build documentation
%bcond_without	servlet	# don't build servlet sample
#
%define		ver	%(echo %{version} | tr . _)
%define		srcname	xalan
%include	/usr/lib/rpm/macros.java
Summary:	XSLT processor for Java
Summary(pl.UTF-8):	Procesor XSLT napisany w Javie
Name:		java-xalan
Version:	2.7.1
Release:	4
License:	Apache v2.0
Group:		Applications/Publishing/XML/Java
Source0:	http://www.apache.org/dist/xml/xalan-j/source/xalan-j_%{ver}-src.tar.gz
# Source0-md5:	fc805051f0fe505c7a4b1b5c8db9b9e3
Patch0:		xalan-j-javadoc-mem.patch
URL:		http://xml.apache.org/xalan-j/
BuildRequires:	ant >= 1.5
BuildRequires:	java(jaxp_parser_impl)
%{?with_servlet:BuildRequires:	java(servlet)}
BuildRequires:	java-bcel
BuildRequires:	java-cup
BuildRequires:	java-xml-commons-external
BuildRequires:	jdk
BuildRequires:	jlex
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java(jaxp_parser_impl)
Provides:	java(jaxp_transform_impl)
Provides:	xalan-j
Obsoletes:	xalan-j
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XSLT processor for Java.

%description -l pl.UTF-8
Procesor XSLT napisany w Javie.

%package javadoc
Summary:	API documentation for xalan-j, an XSLT processor for Java
Summary(pl.UTF-8):	Dokumentacja API dla xalan-j, procesora XSLT napisanego w Javie
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xalan-j-doc
Obsoletes:	xalan-j-javadoc

%description javadoc
API documentation for xalan-j, an XSLT processor for Java.

%description javadoc -l pl.UTF-8
Dokumentacja API dla xalan-j, procesora XSLT napisanego w Javie.

%package examples
Summary:	Xalan-j, an XSLT processor for Java examples
Summary(pl.UTF-8):	Przykłady dla xalan-j, procesora XSLT napisanego w Javie
Group:		Documentation
Obsoletes:	xalan-j-examples

%description examples
Xalan-j, an XSLT processor for Java examples.

%description examples -l pl.UTF-8
Przykłady dla xalan-j, procesora XSLT napisanego w Javie.

%prep
%setup -q -n xalan-j_%{ver}
%{__sed} -i -e 's,\r$,,' build.xml
%patch0 -p1

find -name '*.jar' ! -name 'xalan2jdoc.jar' ! -name 'stylebook-1.0-b3_xalan-2.jar' | xargs rm -f

# copied to xalan.jar (TODO: don't do it and use system ones?)
ln -sf %{_javadir}/bcel.jar lib/BCEL.jar
ln -sf %{_javadir}/regexp.jar lib/regexp.jar
ln -sf %{_javadir}/cup-runtime.jar lib/runtime.jar

%build
export JAVA_HOME=%{java_home}
export JAVAC=%{javac}
export JAVA=%{java}
required_jars='%{?with_servlet:servlet-api} cup cup-runtime jlex bcel jaxp_parser_impl xml-apis'
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
export ANT_OPTS="-Xmx192m"

%ant xsltc.unbundledjar %{?with_servlet:servlet} \
	%{?with_doc:docs xsltc.docs javadocs samples}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_examplesdir},%{_javadocdir}/%{srcname}-%{version}}

install build/serializer.jar $RPM_BUILD_ROOT%{_javadir}/serializer-%{version}.jar
install build/xalan.jar $RPM_BUILD_ROOT%{_javadir}/xalan-%{version}.jar
install build/xsltc.jar $RPM_BUILD_ROOT%{_javadir}/xsltc-%{version}.jar
ln -sf serializer-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/serializer.jar
ln -sf xalan-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xalan.jar
ln -sf xalan-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jaxp_transform_impl.jar
ln -sf xsltc-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xsltc.jar

%if %{with doc}
cp -r samples $RPM_BUILD_ROOT%{_examplesdir}/%{srcname}-%{version}
cp -r build/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{?with_doc:build/docs/design build/docs/xsltc}
%{_javadir}/jaxp_transform_impl.jar
%{_javadir}/serializer-%{version}.jar
%{_javadir}/serializer.jar
%{_javadir}/xalan-%{version}.jar
%{_javadir}/xalan.jar
%{_javadir}/xsltc-%{version}.jar
%{_javadir}/xsltc.jar

%if %{with doc}
%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{srcname}-%{version}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{srcname}-%{version}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-xalan.spec,v $
Revision 1.67  2011/02/11 17:00:45  qboosh
- dropped java(servlet) R (used only in samples)

Revision 1.66  2011/02/11 16:42:24  qboosh
- added servlet bcond
- BR java(jaxp_parser_impl) instead of java-xerves

Revision 1.65  2010/04/18 16:05:18  pawelz
- don't force specific jdk
- updated java deps

Revision 1.64  2010/04/17 19:31:02  jajcus
- do not require gcj

Revision 1.63  2009/08/19 10:59:34  pawelz
- unified java dependencies (java(Servlet) instead of servletapi)
- R: java(Servlet)
- rel 4

Revision 1.62  2009/05/21 16:40:47  glen
- rebuild with gcj; rel 3

Revision 1.61  2009/04/03 15:19:58  pawelz
- java_cup is java-cup now

Revision 1.60  2009/03/31 16:03:12  paszczus
- typo (192M)

Revision 1.59  2009/03/31 16:02:24  paszczus
- added BR: java-xerces (for javadoc)
- use 196M for ant

Revision 1.58  2009/03/31 12:15:44  paszczus
- release 2

Revision 1.57  2009/03/29 20:30:17  paszczus
- really use java-sun if defined; rel 1

Revision 1.56  2009/03/29 18:06:27  paszczus
- another way for Patch0

Revision 1.55  2009/03/29 17:53:29  paszczus
- updated to 2.7.1
- added bcond to build with java_sun
- rel 0.1 (apidocs missing)

Revision 1.54  2009/02/06 00:10:43  pawelz
- BR: java-xerces
- export SHELL=/bin/sh (stupid javadoc ant task needs it)
- sorted BRs

Revision 1.53  2009/02/05 23:48:59  pawelz
- BR java-servletapi5

Revision 1.52  2009/02/05 23:28:00  pawelz
- s/xml-commons-external/java-xml-commons-external/

Revision 1.51  2009/01/31 00:36:55  pawelz
- BR java-gcj-compat-devel (not java-gcj-compat)

Revision 1.50  2009/01/30 23:39:15  pawelz
- use gnu java for compilation
- do not require jre (let the autodeps generate correct R)
- removed EA tag. I hope it builds on all th archs now

Revision 1.49  2009/01/30 23:32:50  pawelz
- fixed Patch0

Revision 1.48  2009/01/30 15:56:10  glen
- unify

Revision 1.47  2009/01/30 15:49:28  pawelz
- fixed Source0

Revision 1.46  2009/01/30 15:41:36  pawelz
- renamed from xalan-j.spec

Revision 1.45  2008/12/26 14:11:28  adamg
- 2.7.0 md5

Revision 1.44  2008/12/26 13:13:10  adamg
- previous commit reverted (mistake)

Revision 1.43  2008/12/26 01:52:48  adamg
- updated to 1.3.2

Revision 1.42  2007/04/17 11:32:23  glen
- unify docs->doc bcond

Revision 1.41  2007/03/08 17:45:51  arekm
- drop comment; no longer valid

Revision 1.40  2007/03/08 17:22:06  qrczak
- Updated bcond's comment.

Revision 1.39  2007/03/08 16:58:15  arekm
- rel 4; increase mem limit for javadoc

Revision 1.38  2007/03/05 07:00:45  arekm
- rel 3; include serializer.jar

Revision 1.37  2007/03/04 20:54:44  arekm
- rel 2

Revision 1.36  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.34  2007/01/07 19:47:08  qboosh
- needs xml-apis.jar from new xml-commons-external to compile

Revision 1.33  2007/01/06 19:16:58  qboosh
- removed obsolete dom3 path, updated ln paths; still doesn't build

Revision 1.32  2007/01/05 17:47:07  arekm
- up to 2.7.0

Revision 1.31  2006/12/08 10:08:02  qboosh
- summaries fixed

Revision 1.30  2006/12/08 09:48:23  glen
- -javadoc R: jpackage-utils for parent dirs; rel 5

Revision 1.29  2006/09/19 22:57:10  glen
- JAVA_HOME must be set before build-classpath is called

Revision 1.28  2006/09/12 14:17:20  glen
- unify %ant macro

Revision 1.27  2006/05/24 13:05:00  jajcus
- Release: 4
- CVS conflict artefacts removed

Revision 1.26  2006/05/24 13:00:27  jajcus
- Release: 3
- without_docs bcond
- dropped R: xml-commons

Revision 1.25  2006/05/24 12:49:03  qboosh
- no macro in Obsoletes for old package

Revision 1.24  2006/05/24 12:19:17  jajcus
- BR: jpackage-utils
- ExclusiveArch
- API documentation moved to javadoc subpackage
- examples subpackage added
- versioned JARs, unversioned links

Revision 1.23  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.22  2006/05/23 18:16:45  radek
- pl summary for -doc

Revision 1.21  2006/05/23 18:01:37  radek
- unified License field

Revision 1.20  2006/05/23 18:00:18  radek
- release 2: separated doc subpackage, use macros; builds now
- License: apache v2, removed LICENSE file
- added NOTICE file, cosmetics

Revision 1.19  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.18  2005/08/14 11:49:39  glen
- more servlet implementors

Revision 1.17  2005/08/14 11:45:52  glen
- info where to find BR: servlet

Revision 1.16  2005/05/07 16:06:32  qboosh
- added dom3 patch; now builds with latest xerces-j

Revision 1.15  2004/08/16 10:10:22  luzik
- updated to 2.6.0
- fixed %files

Revision 1.14  2003/09/09 15:18:26  mick3y
- s/_javalibdir/_javadir/g

Revision 1.13  2003/07/02 11:32:46  pascalek
- updated to 2.5.1

Revision 1.12  2003/05/28 13:03:01  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:28:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/04 10:24:41  pascalek
- jars moved to %_datadir/java

Revision 1.9  2003/04/04 08:58:00  pascalek
- updated to 2.5.D1

Revision 1.8  2002/08/31 09:19:13  qboosh
- updated to 2.3.1
- previous build patch not needed (PARSER_JAR can be passed through environment)
  but added new build patch with compilation fix
- completed License (xalan contains some w3c classes on W3C license)

Revision 1.7  2002/08/18 17:17:29  blues
- release 5 - license fix, new doc

Revision 1.6  2002/03/13 18:11:05  aflinta
- changed JAVA_HOME path to proper directory
- release 4

Revision 1.5  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/11 13:09:59  wrobell
- clean up

Revision 1.3  2002/02/06 16:17:47  wrobell
- added xml-apis.jar to files - java people really sucks! - they just
  should integrate full jvm within every package - yeah! :-(
- rel. 3

Revision 1.2  2002/01/29 09:45:40  wrobell
- java class directory changed to %{_libdir}/java
- build optimized
- prep stuff move to %prep section
- rel. 2

Revision 1.1  2002/01/28 15:46:51  wrobell
- Java XSLT processor - based on xerces-j.spec
